org.springframework.transaction.aspectj

## Class AspectJTransactionManagementConfiguration

- java.lang.Object
- - org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration
  - - org.springframework.transaction.aspectj.AspectJTransactionManagementConfiguration

All Implemented Interfaces:
  Aware, ImportAware

    @Configuration
    public class AspectJTransactionManagementConfiguration
    extends AbstractTransactionManagementConfiguration

`@Configuration` class that registers the Spring infrastructure beans necessary to enable AspectJ-based annotation-driven transaction management.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `EnableTransactionManagement`, `TransactionManagementConfigurationSelector`

### Field Summary

### Fields inherited from class org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration

`enableTx, txManager`

### Constructor Summary

Constructors
Constructor and Description
`AspectJTransactionManagementConfiguration()`

### Method Summary

Methods
`org.springframework.transaction.aspectj.AnnotationTransactionAspect` `transactionAspect()`

### Methods inherited from class org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration

`setImportMetadata`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AspectJTransactionManagementConfiguration

    public AspectJTransactionManagementConfiguration()

### Method Detail

#### transactionAspect

    @Bean(name="org.springframework.transaction.config.internalTransactionAspect")
    @Role(value=2)
    public org.springframework.transaction.aspectj.AnnotationTransactionAspect transactionAspect()